star {gistr} | R Documentation

## Star a gist

### Description

Star a gist

### Usage

    star(gist, ...)

    unstar(gist, ...)

    star_check(gist, ...)

### Arguments

`gist` | A gist object or something that can be coerced to a gist object.
`...` | Curl options passed on to `GET`

### Value

A message, and a gist object, the same one input to the function.

### Examples

    ## Not run:
    id <- '4ac33b9c00751fddc7f8'
    gist(id) %>% star()
    gist(id) %>% star_check()
    gist(id) %>% unstar()
    gist(id) %>% unstar() %>% star()
    gist(id) %>% star_check()
    gist(id) %>%
      star() %>%
      star_check()

    # pass in a url
    x <- "https://gist.github.com/expersso/4ac33b9c00751fddc7f8"
    gist(x) %>% star
    gist(x) %>% unstar

    ## End(Not run)

[Package gistr version 0.4.0 Index]